Britive platform release 2026.03.02 is now live in production.

Change tenant step up authentication configuration settings

Prev Next
Post
/api/step-up/configuration
Security
HTTP
Type bearer
Body parameters
Expand All
object
validationWindow
integer (int32) Required

How long in minutes the last step up authentication completion is valid before prompting for step up again.

Minimum15
Maximum60
completedCookieMaxAge
integer (int32) Required

How long in seconds the completion id cookie is valid for step up policy conditions enabled for always prompt for step up.

Minimum2
Maximum30
totpConfiguration
object (TotpConfiguration) Required
hashFunction
string Required
Valid values[ "SHA1", "SHA256", "SHA512" ]
digits
integer (int32) Required
Minimum6
Maximum8
timeStep
integer (int32) Required
Minimum30
Maximum60
Responses
200

The step up configuration settings

Expand All
object
validationWindow
integer (int32)

How long in minutes the last step up authentication completion is valid before prompting for step up again.

Minimum15
Maximum60
completedCookieMaxAge
integer (int32)

How long in seconds the completion id cookie is valid for step up policy conditions enabled for always prompt for step up.

Minimum2
Maximum30
totpConfiguration
object (TotpConfiguration)
hashFunction
string
Valid values[ "SHA1", "SHA256", "SHA512" ]
digits
integer (int32)
Minimum6
Maximum8
timeStep
integer (int32)
Minimum30
Maximum60
401

authentication failed invalid credential given.

403

authenticated user does not have administrator access.